Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5116)
@@ -75,5 +75,5 @@
 
 
-  if (mixte) then 
+  if (mixte) THEN
      z_0m = 1.e-4                             !!!!! pour l'initialisation on fixe z_0 a 10-4
      cd_n10 = k**2 / (log(10/z_0m))**2        !!!!! on calcul ensuite cd a 10 m d'après smith 
@@ -89,5 +89,5 @@
 
 
-  if ( dt > 0. ) then
+  if ( dt > 0. ) THEN
      ch_n10 = 0.018 * cd_n10_rt                !!!!!!! si regime stable calcul du ch
 !     z_0h = 10. * exp(-k/ch_n10)
@@ -174,5 +174,5 @@
      u_N = u / ( 1 + cd_n10_rt / k * ( logzu_10 - psi(1,1)) )
 
-     if (mixte) then
+     if (mixte) THEN
         z_0m=0.018*usr**2/9.81 + 0.11*14e-6 / (usr)
 !        z_0h=(0.11*14e-6 / (usr)) + 1.4e-5 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/clift.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/clift.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/clift.F90	(revision 5116)
@@ -42,6 +42,6 @@
 
   include "YOMCST.h"
-  real :: p,t,rr,rs,plcl,dplcldt,dplcldq,cpd,cpv,cl,cpvmcl,eps,alv0,a,b
-  real :: rh,chi,alv
+  REAL :: p,t,rr,rs,plcl,dplcldt,dplcldq,cpd,cpv,cl,cpvmcl,eps,alv0,a,b
+  REAL :: rh,chi,alv
 
   cpd = rcpd
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/clouds_gno.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/clouds_gno.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/clouds_gno.F90	(revision 5116)
@@ -217,5 +217,5 @@
           ! -- test numerical convergence:
 
-          ! if (beta(i).lt.1.e-10) then
+          ! if (beta(i).lt.1.e-10) THEN
           ! PRINT*,'avant test ',i,k,lconv(i),u(i),v(i),beta(i)
           ! stop
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90	(revision 5116)
@@ -34,5 +34,5 @@
     !======================================================================
 
-    if (first) then
+    if (first) THEN
        ALLOCATE(u_prev(klon,klev))
        ALLOCATE(v_prev(klon,klev))
@@ -78,5 +78,5 @@
 
     dt_seri(:,:)=t_seri(:,:)-t_prev(:,:)
-    IF (any(t_seri/=t_prev)) then
+    IF (any(t_seri/=t_prev)) THEN
        if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** t_seri has changed',minval(dt_seri),maxval(dt_seri)
@@ -88,5 +88,5 @@
 
     dq_seri(:,:)=q_seri(:,:)-q_prev(:,:)
-    IF (any(q_seri/=q_prev)) then
+    IF (any(q_seri/=q_prev)) THEN
        if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** q_seri has changed',minval(dq_seri),maxval(dq_seri)
@@ -98,5 +98,5 @@
 
     dql_seri(:,:)=ql_seri(:,:)-ql_prev(:,:)
-    IF (any(ql_seri/=ql_prev)) then
+    IF (any(ql_seri/=ql_prev)) THEN
        if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** ql_seri has changed',minval(dql_seri),maxval(dql_seri)
@@ -108,5 +108,5 @@
 
     dqs_seri(:,:)=qs_seri(:,:)-qs_prev(:,:)
-    IF (any(qs_seri/=qs_prev)) then
+    IF (any(qs_seri/=qs_prev)) THEN
        if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** qs_seri has changed',minval(dqs_seri),maxval(dqs_seri)
@@ -118,5 +118,5 @@
 
     du_seri(:,:)=u_seri(:,:)-u_prev(:,:)
-    IF (any(u_seri/=u_prev)) then
+    IF (any(u_seri/=u_prev)) THEN
        if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** u_seri has changed',minval(du_seri),maxval(du_seri)
@@ -128,5 +128,5 @@
 
     dv_seri(:,:)=v_seri(:,:)-v_prev(:,:)
-    IF (any(v_seri/=v_prev)) then
+    IF (any(v_seri/=v_prev)) THEN
        if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** v_seri has changed',minval(dv_seri),maxval(dv_seri)
@@ -137,9 +137,9 @@
     END IF
 
-    if (any_differ) then
-       IF (iflag >= 2 .and. prt_level >= 5) then
+    if (any_differ) THEN
+       IF (iflag >= 2 .and. prt_level >= 5) THEN
           i=1
           DO k = 1, klev
-             write(*,'(i3,6e14.6)')k, t_seri(i,k)-t_prev(i,k), u_seri(i,k)-u_prev(i,k), &
+             WRITE(*,'(i3,6e14.6)')k, t_seri(i,k)-t_prev(i,k), u_seri(i,k)-u_prev(i,k), &
                   v_seri(i,k)-v_prev(i,k), ql_seri(i,k)-ql_prev(i,k),&
                   qs_seri(i,k)-qs_prev(i,k), q_seri(i,k)-q_prev(i,k)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5116)
@@ -483,9 +483,9 @@
 
   IF (ABS(PCDN(J))>1.E-2) THEN   !!!! secure COARE3.0 CODE
-    write(*,*) 'pb PCDN in COARE30: ',PCDN(J)
-    write(*,*) 'point: ',J,"/",SIZE(PTA)
-    write(*,*) 'roughness: ', ZO(J)
-    write(*,*) 'ustar: ',ZUSR(J)
-    write(*,*) 'wind: ',ZDUWG(J)
+    WRITE(*,*) 'pb PCDN in COARE30: ',PCDN(J)
+    WRITE(*,*) 'point: ',J,"/",SIZE(PTA)
+    WRITE(*,*) 'roughness: ', ZO(J)
+    WRITE(*,*) 'ustar: ',ZUSR(J)
+    WRITE(*,*) 'wind: ',ZDUWG(J)
     CALL abort_physic('COARE30',': PCDN too large -> no convergence',1)
   ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5116)
@@ -10,7 +10,7 @@
     real, intent(in) :: zet
 
-    real :: x, psik, psic, f, c
-
-    if(zet<0) then
+    REAL :: x, psik, psic, f, c
+
+    IF(zet<0) THEN
       x=(1.-(15.*zet))**.5
       psik=2.*log((1.+x)/2)
@@ -24,5 +24,5 @@
     endif
 
-  end function psit_30
+  END FUNCTION psit_30
 
   real function psiuo(zet)
@@ -30,7 +30,7 @@
     real, intent(in) :: zet
 
-    real :: x, psik, psic, f, c
-
-    if (zet<0) then
+    REAL :: x, psik, psic, f, c
+
+    if (zet<0) THEN
        x=(1.-15.*zet)**.25
        psik=2.*log((1.+x)/2.)+log((1.+x*x)/2.)-2.*atan(x)+2.*atan(1.)
@@ -44,5 +44,5 @@
   endif
 
-end function psiuo
+END FUNCTION psiuo
 
 
@@ -153,5 +153,5 @@
   Ribu=grav*zu/t*(dt+.61*t*dq)/ut**2
 
-  if (Ribu < 0) then
+  if (Ribu < 0) THEN
      zetu=CC*Ribu/(1+Ribu/Ribcu)
   else
@@ -161,5 +161,5 @@
   L10=zu/zetu
 
-  ! if (zetu .GT. 50) then
+  ! if (zetu .GT. 50) THEN
   !    nits=1
   ! endif
@@ -171,8 +171,8 @@
 
   ! charnock constant - lin par morceau - constant
-  if ( ut <= 10. ) then
+  if ( ut <= 10. ) THEN
      charn=0.011
   else
-     if (ut > 18) then
+     if (ut > 18) THEN
         charn=0.018
      else
@@ -220,5 +220,5 @@
      Bf=-grav/t*usr*(tsr+.61*t*qsr)
 
-     if (Bf > 0) then
+     if (Bf > 0) THEN
         ug=Beta*(Bf*zi)**.333
      else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5116)
@@ -165,5 +165,5 @@
        ! Mais ca fait planter le replay.
        ! En attendant une réécriture, on a joute des if (Fredho)
-       if ( klon>1 .or. (klon==1 .and. knon==1) ) then
+       if ( klon>1 .or. (klon==1 .and. knon==1) ) THEN
           CALL ustarhb(knon,klev,knon,yu,yv,ycdragm, yustar)
        endif
@@ -175,5 +175,5 @@
 !   iflag_pbl peut etre utilise comme longuer de melange
        IF (iflag_pbl>=31) THEN
-          if ( klon>1 .or. (klon==1 .and. knon==1) ) then
+          if ( klon>1 .or. (klon==1 .and. knon==1) ) THEN
           CALL vdif_kcay(knon,klev,knon,dtime,RG,RD,ypaprs,yt, &
                yzlev,yzlay,yu,yv,yteta, &
@@ -403,5 +403,5 @@
 !           calculer la fraction nuageuse (processus humide):
 
-          if (zq /= 0.) then
+          if (zq /= 0.) THEN
              zfr = (zq+ratqs*zq-zqs) / (2.0*ratqs*zq)
           else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.F90	(revision 5116)
@@ -258,8 +258,8 @@
 
 
-    ! sb3d      write(*,1792) (em_work1(m),m=1,klev)
+    ! sb3d      WRITE(*,1792) (em_work1(m),m=1,klev)
 1792 FORMAT ('sig avant convect ', /, 10(1X,E13.5))
 
-    ! sb d      write(*,1793) (em_work2(m),m=1,klev)
+    ! sb d      WRITE(*,1793) (em_work2(m),m=1,klev)
 1793 FORMAT ('w avant convect ', /, 10(1X,E13.5))
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/conemav.F90	(revision 5116)
@@ -120,8 +120,8 @@
   END DO
   ! CALL dump2d(iim,jjm-1,rflag(2:klon-1),'FLAG CONVECTION   ')
-  ! if (klon.eq.1) then
+  ! if (klon.eq.1) THEN
   ! PRINT*,'IFLAG ',iflag
   ! else
-  ! write(*,'(96i1)') (iflag(i),i=2,klon-1)
+  ! WRITE(*,'(96i1)') (iflag(i),i=2,klon-1)
   ! endif
   DO k = 1, klev
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5116)
@@ -2831,7 +2831,7 @@
     WRITE(lunout, *) ' buf_siz_pol= ', buf_siz_pol
     !rajout Olivier Torres
-    write(lunout, *) 'choix_bulk = ', choix_bulk
-    write(lunout, *) 'nit_bulk = ', nit_bulk
-    write(lunout, *) 'kz0 = ', kz0
+    WRITE(lunout, *) 'choix_bulk = ', choix_bulk
+    WRITE(lunout, *) 'nit_bulk = ', nit_bulk
+    WRITE(lunout, *) 'kz0 = ', kz0
 
     !$OMP END MASTER
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/convect2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/convect2.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/convect2.F90	(revision 5116)
@@ -509,5 +509,5 @@
         ! PRINT*,tp(i,k),ah0(i),cl,cpd,qnk(i),t(i,k),gz(i,k),alv,qg,cpd
         tp(i, k) = (ah0(i)-(cl-cpd)*qnk(i)*t(i,k)-gz(i,k)-alv*qg)/cpd
-        ! if (.not.cpd.gt.1000.) then
+        ! if (.not.cpd.gt.1000.) THEN
         ! PRINT*,'CPD=',cpd
         ! stop
@@ -576,5 +576,5 @@
     wt(i, 1) = omtsnow
     hp(i, 1) = h(i, 1)
-    ! if(.not.cpn(i,1).gt.900.) then
+    ! IF(.not.cpn(i,1).gt.900.) THEN
     ! PRINT*,'i,lv(i,1),cpn(i,1)'
     ! PRINT*, i,lv(i,1),cpn(i,1)
@@ -632,10 +632,10 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -659,9 +659,9 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90	(revision 5116)
@@ -455,10 +455,10 @@
 
   ! test sb:
-  ! @      write(*,*) '++++++++++++++++++++++++++++++++++++++++'
-  ! @      write(*,*) 'plcl,dpbas,tvpbas,tvbas,tvp(icb),tvp(icb1)
+  ! @      WRITE(*,*) '++++++++++++++++++++++++++++++++++++++++'
+  ! @      WRITE(*,*) 'plcl,dpbas,tvpbas,tvbas,tvp(icb),tvp(icb1)
   ! @     :             ,tv(icb),tv(icb1)'
-  ! @      write(*,*) plcl,dpbase,tvpbase,tvbase,tvp(icb)
+  ! @      WRITE(*,*) plcl,dpbase,tvpbase,tvbase,tvp(icb)
   ! @     L          ,tvp(icb+1),tv(icb),tv(icb+1)
-  ! @      write(*,*) '++++++++++++++++++++++++++++++++++++++++'
+  ! @      WRITE(*,*) '++++++++++++++++++++++++++++++++++++++++'
   ! fin test sb
   buoybase = tvpbase - tvbase
@@ -480,12 +480,12 @@
   ! sb3d      print *,'ICB ',icb
   ! test sb:
-  ! @      write(*,*) '@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@'
-  ! @      write(*,*) 'icb,icbs,inb,buoybase:'
-  ! @      write(*,*) icb,icb+1,inb,buoybase
-  ! @      write(*,*) 'k,tvp,tv,tp,buoy,ep: '
+  ! @      WRITE(*,*) '@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@'
+  ! @      WRITE(*,*) 'icb,icbs,inb,buoybase:'
+  ! @      WRITE(*,*) icb,icb+1,inb,buoybase
+  ! @      WRITE(*,*) 'k,tvp,tv,tp,buoy,ep: '
   ! @      do k=1,nl
-  ! @      write(*,*) k,tvp(k),tv(k),tp(k),buoy(k),ep(k)
+  ! @      WRITE(*,*) k,tvp(k),tv(k),tp(k),buoy(k),ep(k)
   ! @      enddo
-  ! @      write(*,*) '@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@'
+  ! @      WRITE(*,*) '@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@'
   ! fin test sb
 
@@ -629,8 +629,8 @@
     ! sb3d         print *,'buoy,dlnp,dcape,cape',buoy(i-1),dlnp,dcape,cape
     ! test sb:
-    ! @       write(*,*) '############################################'
-    ! @         write(*,*) 'cape,rrd,buoy,deltap,p,pbase,ph:'
+    ! @       WRITE(*,*) '############################################'
+    ! @         WRITE(*,*) 'cape,rrd,buoy,deltap,p,pbase,ph:'
     ! @     :     ,cape,rd,buoy(i-1),deltap,p(i-1),pbase,ph(i)
-    ! @       write(*,*) '############################################'
+    ! @       WRITE(*,*) '############################################'
 
     ! fin test sb
@@ -658,9 +658,9 @@
 
     ! --------- test sb:
-    ! write(*,*) '############################################'
-    ! write(*,*) 'k,amu,buoy(k-1),deltap,w,beta,fac,cape,w0(k)'
-    ! write(*,*) i,amu,buoy(i-1),deltap
+    ! WRITE(*,*) '############################################'
+    ! WRITE(*,*) 'k,amu,buoy(k-1),deltap,w,beta,fac,cape,w0(k)'
+    ! WRITE(*,*) i,amu,buoy(i-1),deltap
     ! :           ,w,beta,fac,cape,w0(i)
-    ! write(*,*) '############################################'
+    ! WRITE(*,*) '############################################'
     ! ---------
 
@@ -841,8 +841,8 @@
   ! **********************************************************
   ! --- test sb:
-  ! @       write(*,*) '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^'
-  ! @       write(*,*) 'inb,m(inb),ment(inb,inb),sigij(inb,inb):'
-  ! @       write(*,*) inb,m(inb),ment(inb,inb),sigij(inb,inb)
-  ! @       write(*,*) '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^'
+  ! @       WRITE(*,*) '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^'
+  ! @       WRITE(*,*) 'inb,m(inb),ment(inb,inb),sigij(inb,inb):'
+  ! @       WRITE(*,*) inb,m(inb),ment(inb,inb),sigij(inb,inb)
+  ! @       WRITE(*,*) '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^'
   ! ---
 
@@ -1175,11 +1175,11 @@
 
   ! test sb:
-  ! @      write(*,*) '--------------------------------------------'
-  ! @      write(*,*) 'inb,ft,hp,h,t,rr,qent,ment,water,waterp,wt,mp,b'
-  ! @      write(*,*) inb,ft(inb),hp(inb),h(inb)
+  ! @      WRITE(*,*) '--------------------------------------------'
+  ! @      WRITE(*,*) 'inb,ft,hp,h,t,rr,qent,ment,water,waterp,wt,mp,b'
+  ! @      WRITE(*,*) inb,ft(inb),hp(inb),h(inb)
   ! @     :   ,t(inb),rr(inb),qent(inb,inb)
   ! @     :   ,ment(inb,inb),water(inb)
   ! @     :   ,water(inb+1),wt(inb),mp(inb),b(inb)
-  ! @      write(*,*) '--------------------------------------------'
+  ! @      WRITE(*,*) '--------------------------------------------'
   ! fin test sb:
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5116)
@@ -242,9 +242,9 @@
     sum_error = sum_error + error
 
-    if (activate_ocean_skin >= 1) then
+    if (activate_ocean_skin >= 1) THEN
        ALLOCATE(read_sss(nbp_lon, jj_nb), stat = error)
        sum_error = sum_error + error
     
-       if (activate_ocean_skin == 2) then
+       if (activate_ocean_skin == 2) THEN
           ALLOCATE(cpl_delta_sst(klon), cpl_delta_sal(klon), cpl_dter(klon), &
                cpl_dser(klon), cpl_dt_ds(klon), stat = error)
@@ -413,5 +413,5 @@
     USE time_phylmdz_mod, ONLY: start_time, itau_phy
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 
     INCLUDE "YOMCST.h"
@@ -540,5 +540,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl, fco2_ocn_day
     USE indice_sol_mod
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 
 ! Input arguments
@@ -663,5 +663,5 @@
     USE indice_sol_mod
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
     USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -733,5 +733,5 @@
        IF (carbon_cycle_cpl) cpl_atm_co2(1:knon,cpl_index) = 0.0
 
-       if (activate_ocean_skin == 2) then
+       if (activate_ocean_skin == 2) THEN
           cpl_delta_sst = 0.
           cpl_delta_sal = 0.
@@ -782,5 +782,5 @@
        ENDIF
 
-       if (activate_ocean_skin == 2) then
+       if (activate_ocean_skin == 2) THEN
           cpl_delta_sst(ig) = cpl_delta_sst(ig) + delta_sst(ig) / REAL(nexca)
           cpl_delta_sal(ig) = cpl_delta_sal(ig) + delta_sal(ig) / REAL(nexca)
@@ -835,5 +835,5 @@
           ENDIF
 
-          if (activate_ocean_skin == 2) then
+          if (activate_ocean_skin == 2) THEN
              ALLOCATE(cpl_delta_sst_2D(nbp_lon, jj_nb), &
                   cpl_delta_sal_2D(nbp_lon, jj_nb), &
@@ -869,5 +869,5 @@
             knon, knindex)
 
-! cpl_fder2D(:,:,1) not used, only cpl_fder(:,:,2)!
+! cpl_fder2D(:,:,1) not used, ONLY cpl_fder(:,:,2)!
        CALL gath2cpl(cpl_fder(:,cpl_index), cpl_fder2D(:,:,cpl_index), &
             knon, knindex)
@@ -897,5 +897,5 @@
        IF (carbon_cycle_cpl) &
             CALL gath2cpl(cpl_atm_co2(:,cpl_index), cpl_atm_co22D(:,:), knon, knindex)
-       if (activate_ocean_skin == 2) then
+       if (activate_ocean_skin == 2) THEN
           CALL gath2cpl(cpl_delta_sst, cpl_delta_sst_2D, knon, knindex)
           CALL gath2cpl(cpl_delta_sal, cpl_delta_sal_2D, knon, knindex)
@@ -1234,5 +1234,5 @@
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE time_phylmdz_mod, ONLY: start_time, itau_phy
-    USE config_ocean_skin_m, only: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
     USE lmdz_mpi
     USE lmdz_abort_physic, ONLY: abort_physic
@@ -1293,5 +1293,5 @@
     tab_flds(:,:,ids_qsnoic) = cpl_sens_snow2D(:,:,2)
 
-    if (activate_ocean_skin == 2) then
+    if (activate_ocean_skin == 2) THEN
        tab_flds(:, :, ids_delta_sst) = cpl_delta_sst_2D
        tab_flds(:, :, ids_delta_sal) = cpl_delta_sal_2D
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_limit_unstruct_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_limit_unstruct_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_limit_unstruct_mod.F90	(revision 5116)
@@ -55,5 +55,5 @@
   USE create_limit_unstruct_mod, ONLY: create_limit_unstruct
   USE phyaqua_mod, ONLY: iniaqua
-  USE phys_cal_mod, only: year_len
+  USE phys_cal_mod, ONLY: year_len
   USE lmdz_phys_para, ONLY: is_omp_master
   USE lmdz_ioipsl_getin_p, ONLY: getin_p
@@ -84,5 +84,5 @@
                 CALL MPI_Finalize(ierr)
                 abort_message='create_etat0_limit_unstruct, Initial state file are created, all is fine' 
-                write(lunout,*) abort_message
+                WRITE(lunout,*) abort_message
                 STOP 0
 !                CALL abort_physic(modname,abort_message,0)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5116)
@@ -305,5 +305,5 @@
     CALL pbl_surface_init( fder, snsrf, qsurf, tsoil )
 
-    IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) then
+    IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) THEN
      delta_tsurf = 0.
      beta_aridity = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5116)
@@ -179,6 +179,6 @@
   
   SUBROUTINE time_interpolation(ndays,field_in,calendar,field_out)
-  USE lmdz_libmath_pch, only: pchsp_95, pchfe_95
-  USE lmdz_arth, only: arth
+  USE lmdz_libmath_pch, ONLY: pchsp_95, pchfe_95
+  USE lmdz_arth, ONLY: arth
   USE dimphy, ONLY: klon
   USE ioipsl,             ONLY: ioget_year_len
@@ -214,5 +214,5 @@
      yder = pchsp_95(timeyear, field_in(ij, :), ibeg=2, iend=2, vc_beg=0., vc_end=0.)
      CALL pchfe_95(timeyear, field_in(ij, :), yder, skip, arth(0., real(ndays_in) / ndays, ndays), field_out(ij, :), ierr)
-     if (ierr < 0) then
+     if (ierr < 0) THEN
         abort_message='error in pchfe_95'
         CALL abort_physic(modname,abort_message,1)
@@ -221,5 +221,5 @@
    END DO
    
-   IF (n_extrap /= 0) then
+   IF (n_extrap /= 0) THEN
      WRITE(lunout,*) "get_2Dfield pchfe_95: n_extrap = ", n_extrap
    ENDIF 
